<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<artifactId>sdi-plugins</artifactId>
	<version>1.1.2</version>
	<name>gCube CMS -  SDI Plugins</name>

	<parent>
		<groupId>org.gcube.application.cms</groupId>
		<artifactId>gcube-cms-suite</artifactId>
		<version>[1.0.0, 2.0.0-SNAPSHOT)</version>
	</parent>
	
	<properties>
		<gitBaseUrl>https://code-repo.d4science.org/gCubeSystem</gitBaseUrl>
	</properties>



	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.gcube.application.cms</groupId>
				<artifactId>cms-plugin-framework</artifactId>
				<version>${plugin-framework-version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>


	<scm>
		<connection>scm:git:${gitBaseUrl}/gcube-cms-suite</connection>
		<developerConnection>scm:git:${gitBaseUrl}/gcube-cms-suite</developerConnection>
		<url>${gitBaseUrl}/gcube-cms-suite</url>
	</scm>



	<dependencies>
		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>cms-plugin-framework</artifactId>
		</dependency>

		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>default-lc-managers</artifactId>
			<scope>provided</scope>
		</dependency>


		<!-- SDI -->
		<dependency>
			<groupId>org.gcube.spatial.data</groupId>
			<artifactId>gis-interface</artifactId>
			<version>[2.4.6,3.0.0-SNAPSHOT)</version>
		</dependency>

		<!-- DT -->
		<dependency>
			<groupId>org.gcube.data.transfer</groupId>
			<artifactId>data-transfer-library</artifactId>
			<version>[1.2.1,2.0.0-SNAPSHOT)</version>
		</dependency>

		<!-- POSTGRES DRIVERS -->
		<dependency>
			<groupId>net.postgis</groupId>
			<artifactId>postgis-jdbc</artifactId>
			<version>2.5.0</version>
		</dependency>


		<!-- GEO JSON -->

		<dependency>
			<groupId>de.grundid.opendatalab</groupId>
			<artifactId>geojson-jackson</artifactId>
			<version>1.14</version>
		</dependency>

		<dependency>
			<groupId>org.gcube.portlets.user</groupId>
			<artifactId>uri-resolver-manager</artifactId>
			<version>[1.0.0,2.0.0-SNAPSHOT)</version>
		</dependency>

		<dependency>
			<groupId>org.gcube.application.cms</groupId>
			<artifactId>cms-test-commons</artifactId>
			<scope>test</scope>
		</dependency>


	</dependencies>

	<build>
		<plugins>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>
				<executions>
					<execution>
						<id>make-uberjar</id>
						<phase>package</phase>
					</execution>
					<execution>
						<id>make-servicearchive</id>
						<phase>package</phase>
					</execution>
				</executions>
			</plugin>

		</plugins>
	</build>

</project>
